summaryrefslogtreecommitdiff
path: root/debian/taler-merchant.postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/taler-merchant.postrm')
-rw-r--r--debian/taler-merchant.postrm29
1 files changed, 14 insertions, 15 deletions
diff --git a/debian/taler-merchant.postrm b/debian/taler-merchant.postrm
index 716f8982..693460ef 100644
--- a/debian/taler-merchant.postrm
+++ b/debian/taler-merchant.postrm
@@ -2,27 +2,26 @@
set -e
-if [ -f /usr/share/debconf/confmodule ]; then
- . /usr/share/debconf/confmodule
-fi
+_USERNAME=taler-merchant-httpd
+
-if [ -f /usr/share/dbconfig-common/dpkg/postrm.pgsql ]; then
- . /usr/share/dbconfig-common/dpkg/postrm.pgsql
- dbc_go taler-merchant "$@"
+if [ -f /usr/share/debconf/confmodule ]; then
+ . /usr/share/debconf/confmodule
fi
case "${1}" in
purge)
-# TODO: anything to clean up? Like:
-# rm -f /etc/taler/merchant-overrides.conf
- ;;
-remove | upgrade | failed-upgrade | abort-install | abort-upgrade | disappear)
- ;;
+ dpkg-statoverride --remove \
+ /etc/taler/secrets/merchant-db.secret.conf || true
+ deluser --quiet --system ${_USERNAME} || true
+ ;;
- *)
- echo "postrm called with unknown argument \`${1}'" >&2
- exit 1
- ;;
+remove | upgrade | failed-upgrade | abort-install | abort-upgrade | disappear)
+ ;;
+*)
+ echo "postrm called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
esac
#DEBHELPER#